@import url('https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&display=swap');

:root {
    --bs-primary: rgb(35, 188, 251) !important;
    --bs-secondary: rgb(66, 130, 255) !important;
    --bs-success: #10893e;
    --bs-info: rgb(122, 204, 200) !important;
    --bs-warning: rgb(242, 108, 79) !important;
    --bs-danger: rgb(237, 20, 91) !important;
    --bs-light: rgb(255, 255, 255) !important;
    --bs-dark: rgb(15, 18, 21) !important;
    --site-fontfamily: 'Google Sans', sans-serif;
    --primary: 35, 188, 251;
    --secondary: 66, 130, 255;
    --tertiary: 33, 54, 76;
    --default: 66, 69, 72;
    --green: 60, 184, 120;
    --success: 60, 184, 120;
    --red: 237, 20, 91;
    --yellow: 251, 175, 93;
    --blue: 122, 204, 200;
	--linkblue:0, 102, 204;
	--linkblue-darkmode: 51, 187, 255;
    --lightgrey: 230, 245, 251;
    --midgrey: 123, 139, 145;
    --darkgrey: 66, 69, 72;
    --lighttext: 255, 255, 255;
    --darktext: 15, 18, 21;
    --primary-custombg: linear-gradient(45deg, rgb(var(--primary)) 0%, rgb(var(--secondary)) 100%);
    --secondary-custombg: linear-gradient(45deg, rgb(var(--secondary)) 0%, rgb(var(--tertiary)) 85%);
    --tertiary-custombg: linear-gradient(45deg, rgb(var(--tertiary)) 0%, rgb(var(--darktext)) 100%);
    --success-custombg: linear-gradient(45deg, rgb(83,204,132) 0%, rgb(0,198,99) 75%);
    --green-custombg: linear-gradient(45deg, rgb(83,204,132) 0%, rgb(0,198,99) 75%);
    --danger-custombg: linear-gradient(45deg, rgb(237,20,91) 0%, rgb(174,40,54) 100%);
    --warning-custombg: linear-gradient(45deg, rgb(251,175,93) 0%, rgb(243,156,78) 100%);
    --info-custombg: linear-gradient(45deg, rgb(122,204,200) 0%, rgb(147,231,227) 100%);
    --cyan-custombg: linear-gradient(45deg, rgb(122,204,200) 0%, rgb(147,231,227) 100%);
    --midgrey-custombg: linear-gradient(45deg, rgb(181,190,193) 0%, rgb(177,205,216) 100%);
    --lightgrey-custombg: linear-gradient(45deg, rgb(230,245,251) 0%, rgb(235,226,234) 100%);
    --darkgrey-custombg: linear-gradient(45deg, rgb(44,51,86) 0%, rgb(48,50,52) 100%);
    --sidebar-background: 54, 71, 79;
    --icon-filter: invert(65%) sepia(59%) saturate(2928%) hue-rotate(169deg) brightness(100%) contrast(107%);
    --icon-filter-secondary: invert(44%) sepia(12%) saturate(6498%) hue-rotate(201deg) brightness(103%) contrast(101%);
    --icon-filter-white: brightness(0) invert(1);
    --icon-filter-red: invert(14%) sepia(95%) saturate(4730%) hue-rotate(333deg) brightness(97%) contrast(92%);
    --icon-filter-green: invert(63%) sepia(42%) saturate(596%) hue-rotate(96deg) brightness(90%) contrast(89%);
    --default: 20, 23, 26;
    --lightgreen: 153, 231, 190;
    --midgreen: 58, 154, 98;
    --darkgreen: 28, 69, 48;
    --greendiamond: 10, 212, 138;
    --darkred: 92, 6, 10;
    --midred: 158, 52, 52;
    --lightred: 251, 190, 192;
    --blue: 66, 130, 255;
    --blue2: 0,114,188;
    --lightblue: 69, 139, 245;
    --lightblue2: 0,174,239;
    --orange: 242, 108, 79;
    --lightorange: 251, 175, 93;
    --grey: 234, 239, 242;
    --lighttext: 255,255,255;
    --darktext: 20, 23, 26;
    --pink: 249,188,193;
    --darkpink: 224, 168, 171;
    --black: 0, 0, 0;
    --red: 237, 20, 91;
    --purple: 146,39,143;
    --purple2: 96,92,168;
    --lightpurple: 240,110,170;
    --lightpurple2: 131,147,202;
    --lightyellow: 255,247,153;
    --site-primary: rgba(var(--primary), 1);
    --site-secondary: rgba(var(--secondary), 1);
    --site-tertiary: rgba(var(--tertiary), 1);
    --site-default: rgba(var(--default), 1);
    --site-green: rgba(var(--green), 1);
    --site-lightgreen: rgba(var(--lightgreen), 1);
    --site-midgreen: rgba(var(--midgreen), 1);
    --site-darkgreen: rgba(var(--darkgreen), 1);
    --site-greendiamond: rgba(var(--greendiamond), 1);
    --site-red: rgba(var(--red), 1);
    --site-darkred: rgba(var(--darkred), 1);
    --site-lightred: rgba(var(--lightred), 1);
    --site-midred: rgba(var(--midred), 1);
    --site-yellow: rgba(var(--yellow), 1);
    --site-cyan: rgba(var(--cyan), 1);
    --site-blue: rgba(var(--blue), 1);
	--site-linkblue: rgba(var(--linkblue), 1);
    --site-lightblue: rgba(var(--lightblue), 1);
    --site-orange: rgba(var(--orange), 1);
    --site-lightorange: rgba(var(--lightorange), 1);
    --site-darkgrey: rgba(var(--darkgrey), 1);
    --site-grey: rgba(var(--grey), 1);
    --site-midgrey: rgba(var(--midgrey), 1);
    --site-lightgrey: rgba(var(--lightgrey), 1);
    --site-primary-custombg: rgba(var(--primary-custombg), 1);
    --site-secondary-custombg: rgba(var(--secondary-custombg), 1);
    --site-tertiary-custombg: rgba(var(--tertiary-custombg), 1);
    --site-success-custombg: rgba(var(--success-custombg), 1);
    --site-green-custombg: rgba(var(--green-custombg), 1);
    --site-danger-custombg: rgba(var(--danger-custombg), 1);
    --site-warning-custombg: rgba(var(--warning-custombg), 1);
    --site-info-custombg: rgba(var(--info-custombg), 1);
    --site-cyan-custombg: rgba(var(--cyan-custombg), 1);
    --site-midgrey-custombg: rgba(var(--midgrey-custombg), 1);
    --site-lightgrey-custombg: rgba(var(--lightgrey-custombg), 1);
    --site-darkgrey-custombg: rgba(var(--darkgrey-custombg), 1);
    --site-lightgrey-trans50: rgba(var(--lightgrey), 0.5);
    --site-lighttext: rgba(var(--lighttext), 1);
    --site-darktext: rgba(var(--darktext), 1);
    --site-pink: rgba(var(--pink), 1);
    --site-blue2: rgba(var(--blue2), 1);
    --site-lightblue2: rgba(var(--lightblue2), 1);
    --site-purple: rgba(var(--purple), 1);
    --site-lightpurple: rgba(var(--lightpurple), 1);
    --site-purple2: rgba(var(--purple2), 1);
    --site-lightpurple2: rgba(var(--lightpurple2), 1);
    --site-darkpink: rgba(var(--darkpink), 1);
    --site-lightyellow: rgba(var(--lightyellow), 1);
    --site-delay: #bc3c75;
    --site-expedite: #f26421;
    --site-load-primary: rgba(237, 28, 36, 1);
    --site-load-secondary: rgba(20, 23, 26, 1);
    --site-success: var(--success);
    --bs-primary: rgb(var(--primary)) !important;
    --bs-secondary: rgb(var(--secondary)) !important;
    --bs-primary-rgb: rgb(var(--primary)) !important;
    --bs-secondary-rgb: rgb(var(--secondary)) !important;
    --bs-black-rgb: rgba(var(--black)) !important;
    --site-primary-custombg: var(--primary-custombg);
    --site-secondary-custombg: var(--secondary-custombg);
    --site-tertiary-custombg: var(--tertiary-custombg);
    --site-default-custombg: var(--default-custombg);
    --site-green-custombg: var(--green-custombg);
    --site-lightgreen-custombg: var(--lightgreen-custombg);
    --site-midgreen-custombg: var(--midgreen-custombg);
    --site-darkgreen-custombg: var(--darkgreen-custombg);
    --site-greendiamond-custombg: var(--greendiamond-custombg);
    --site-red-custombg: var(--red-custombg);
    --site-darkred-custombg: var(--darkred-custombg);
    --site-lightred-custombg: var(--lightred-custombg);
    --site-midred-custombg: var(--midred-custombg);
    --site-yellow-custombg: var(--yellow-custombg);
    --site-cyan-custombg: var(--cyan-custombg);
    --site-blue-custombg: var(--blue-custombg);
    --site-lightblue-custombg: var(--lightblue-custombg);
    --site-orange-custombg: var(--orange-custombg);
    --site-lightorange-custombg: var(--lightorange-custombg);
    --site-darkgrey-custombg: var(--darkgrey-custombg);
    --site-grey-custombg: var(--grey-custombg);
    --site-midgrey-custombg: var(--midgrey-custombg);
    --site-lightgrey-custombg: var(--lightgrey-custombg);
    --site-lightgrey-trans50-custombg: var(--lightgrey-custombg), 0.5;
    --site-lighttext-custombg: var(--lighttext-custombg);
    --site-darktext-custombg: var(--darktext-custombg);
    --site-pink-custombg: var(--pink-custombg);
    --site-blue2-custombg: var(--blue2-custombg);
    --site-lightblue2-custombg: var(--lightblue2-custombg);
    --site-purple-custombg: var(--purple-custombg);
    --site-lightpurple-custombg: var(--lightpurple-custombg);
    --site-purple2-custombg: var(--purple2-custombg);
    --site-lightpurple2-custombg: var(--lightpurple2-custombg);
    --site-darkpink-custombg: var(--darkpink-custombg);
    --site-lightyellow-custombg: var(--lightyellow-custombg);
    --site-success-custombg: var(--success-custombg);
}

html, body {
    height: 100%;
	font-family: var(--site-fontfamily);
	font-size: 1rem;
}
app {
    display: block;
    height: 100%;
}

.header-logo {
    flex-shrink: 0;
    background-color: currentColor;
    /* -webkit-mask: url('../images/Logo.svg'); */
    /* mask: url('../images/Logo.svg'); */
    /* mask-position: center; */
    /* -webkit-mask-repeat: no-repeat; */
    /* mask-repeat: no-repeat; */
	background: url(../images/Tevarai-logo-full.png) left center no-repeat;
	background-size:contain;
    width: 200px;
    height: 30px;
	margin-left: 0px !important;
}

#blazor-error-ui {
    background: inherit;
    bottom: 0;
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100001;
}

/*--------LOADING OVERRIDE---------*/
.spinner-border {
    border: .2em solid var(--site-secondary);
    border-right-color: transparent;
}

#loadingBackground img.loading-image {
    width: 140px !important;
    height: 140px !important;
    border-radius: 300px;
}

#loadingBackground img.loading-image {
    width: 140px !important;
    height: 140px !important;
    border-radius: 300px;
}

.loading-items-center > .bg-primary {
    background-color: var(--site-tertiary);
    background: var(--site-tertiary-custombg) !important;
}

.loading-items-center > .border-primary {
    border-color: var(--site-tertiary) !important;
}

.border-primary {
    border-color: var(--site-primary) !important;
}

.bg-primary {
    background-color: var(--site-primary) !important;
    background: var(--site-primary-custombg) !important;
}

.loading-floated-circle {
    border-color: var(--site-primary) !important;
}

.dxbl-pivot-table {
    height: -webkit-fill-available;
}

/*google autocomplete always content top*/
.pac-container {
    z-index: 99999 !important;
}